Get case detail (comments + evidence summary)
curl --request GET \
--url https://api.range.org/v2/cases/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v2/cases/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v2/cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"status": "open",
"severity": "severe",
"source_type": "risk_screen",
"subject": {
"type": "address",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD28",
"network": "ethereum",
"tx_hash": "0xabc...",
"name": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>",
"viewed": true,
"available_actions": [
{
"id": "set_status",
"label": "<string>",
"kind": "select",
"options": [
"open"
]
}
],
"comments": [
{
"id": "<string>",
"author": "analyst@range.org",
"body": "<string>",
"created_at": "<string>"
}
],
"resolution": "dismissed",
"source_id": "<string>",
"assignee": "<string>",
"created_by": "<string>",
"resolved_at": "<string>",
"evidence_summary": {}
}Cases
Get case detail (comments + evidence summary)
GET
/
v2
/
cases
/
{id}
Get case detail (comments + evidence summary)
Authorizations
AuthorizationAuthorization
Authorization method required to allow user to access the api endpoints.
Path Parameters
The case id (uuid).
Response
200 - application/json
Available options:
open, in_review, resolved Available options:
severe, high, medium, low Available options:
risk_screen, sanctions_screen, alert_event, manual, regulatory_filing Show child attributes
Show child attributes
Whether the calling user has opened this case before.
Actions supported by this source and status. Existing write permissions still apply. Resolving via set_status requires resolution=dismissed.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
dismissed, escalated Last modified on October 2, 2026
Was this page helpful?